
Foreman - Bug #2459

SmartProxy helper method for puppetca_proxies does not work

05/06/2013 06:01 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: PuppetCA   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The method looks for features like "puppetca" but the string in the db (after downcase) is "puppet ca". This means puppetca_proxies

always returns 0.

Associated revisions

Revision a92cdd40 - 05/09/2013 04:16 AM - Greg Sutcliffe

Fixes #2459 - Create ProxyFeature methods from symbol name, lookup on real text

History

#1 - 05/07/2013 04:30 AM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/582

#2 - 05/09/2013 05:45 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a92cdd40a2de2af462882e8ddea5090a54042d8d.
